
ThreatFactor NSIA - Bug #88

SQLExceptions are Thrown Out of The Finally Block

04/09/2010 12:11 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Core Application Estimated time: 0.00 hour

Target version:    

Description

The code contains numerous cases where the finally block throws a SQLException when attempting to close the connection. This will

cause the original exception to base masked and prevent good bug reporting. The code should be replaced with an exception

handler that retains the original exception:

http://www.javaworld.com/javaworld/javatips/jw-javatip91.html

http://accu.org/index.php/journals/236](http://accu.org/index.php/journals/236

History

#1 - 11/02/2010 01:20 PM - Luke Murphey

- Category set to Core Application

#2 - 08/23/2011 06:46 AM - Luke Murphey

- Status changed from New to Closed

#3 - 08/23/2011 06:46 AM - Luke Murphey

- Start date deleted (04/09/2010)
